Uso di getpoint

Professione: Pensionato
Software: Autocad
Regione: Lombardia
#1
Salve a tutti,
ho scritto un messaggio simile a questo, ma non riesco più a trovarlo, quindi lo ripeto.
Ho scritto questo semplice codice ;
Codice:
(defun C:ORG (/ pt1 pt2)

	(setq pt1 nil)
	(while
	    (= pt1 nil)
	    (princ "\nPunto base <")
	    (princ point)
	    (princ "> : ")
	    (setq pt1 (getpoint))
	)

	(if pt1 (setq point pt1))

	(setq pt2 nil)
	(while
	    (= pt2 nil)
	    (princ "\nSecondo punto <")
	    (princ point2)
	    (princ "> : ")
	    (setq pt2 (getpoint))
	)

	(if pt2 (setq point2 pt2))

        (princ "\n")
        (princ point)
        (princ "\n")
        (princ point2)
        (princ "\n")

	(setq organg (angle point point2))
	(setq origin T)

        (princ "\n")
        (princ organg)
        (princ "\n")

        (alert "Orientamento per il Tracciamento Polare impostato")
)
Come si può vedere, serve per impostare un vettore di riferimento, ricevo un errore in corrispondenza della linea :
Codice:
(setq organg (angle point point2))
Continuo a ripercorrere il codice ma non riesco a trovare il motivo dell'errore.
Grazie.